Page MenuHomePhabricator

Display 作者 for Author namespace on zh.wikisource
Closed, ResolvedPublic

Description

i18n, display 作者 instead of Author

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd Namespaces translation for zh.wikisource

Event Timeline

Viztor created this task.Aug 4 2019, 5:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2019, 5:57 AM
Tulsi_Bhagat triaged this task as Medium priority.
Tulsi_Bhagat added a subscriber: Tulsi_Bhagat.

Hello @Viztor: Please provide us the community consensus for this update! Thank you :)

Also, let me know, what will be the i18n, display for "Author talk"?

Viztor added a comment.EditedAug 4 2019, 6:16 AM

@Tulsi_Bhagat


Here it shows Author, while we expect "作者". Same for Author_talk, which we expect to be "作者讨论" for zh-hans and "作者討論" for zh-hant.
There is already an alias namespace of 作者 to Author, so it appears to be a half-done internalization, in which case I think "community consensus" was established quite long ago.

Change 527862 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[operations/mediawiki-config@master] Add Namespaces translation for zh.wikisource

https://gerrit.wikimedia.org/r/527862

Viztor added a comment.EditedAug 4 2019, 6:43 AM

@Tulsi_Bhagat
Maybe there has been a miscommunication, in this case, the namespace itself (in the url) should not change, instead, it should be in Chinese when showed on a page.

similar to translation.

94rain changed the task status from Open to Stalled.Aug 4 2019, 8:50 AM
94rain added a subscriber: 94rain.

@Viztor Thanks for creating this task, but I cannot find any discussions about this change in the local community. Similar to T229715, you should have tried to gain consensus and given an opportunity for objections in the local community when requesting for translation of namespaces according to https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes.

As mentioned in T229743#5390053, if you only want to translate author/author_talk namespace prefixes in the display title, you can achieve that simply by creating https://zh.wikisource.org/wiki/MediaWiki:Conversion-ns102, https://zh.wikisource.org/wiki/MediaWiki:Conversion-ns103 and their subpages.
(Please correct me if my understanding is wrong or there is actually consensus reached but I missed it.)

@Viztor Thanks for creating this task, but I cannot find any discussions about this change in the local community. Similar to T229715, you should have tried to gain consensus and given an opportunity for objections in the local community when requesting for translation of namespaces according to https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes.
As mentioned in T229743#5390053, if you only want to translate author/author_talk namespace prefixes in the display title, you can achieve that simply by creating https://zh.wikisource.org/wiki/MediaWiki:Conversion-ns102, https://zh.wikisource.org/wiki/MediaWiki:Conversion-ns103 and their subpages.
(Please correct me if my understanding is wrong or there is actually consensus reached but I missed it.)

irrelevant, see previous comment. the alias is already set, but the page is not displaying correctly.

Alias are just something like redirects. Display prefixes in titles are defined in MediaWiki:Conversion-ns<namespace ID>. As you just mentioned, translation of "translation namespace" is defined in https://zh.wikisource.org/wiki/MediaWiki:Conversion-ns114.

Modifying the configuration file requires community consensus. If it is other types of problems (code issue/backend issue), we don't need it.

For this ticket, $wgExtraNamespaces unable to resolve different versions for different users (zh-hans/zh-hant). This variable defines "real name", not alias. So in this case, use [[MediaWiki:Conversion-ns<namespace ID>]] is recommended.

Removing Wikisource - please see its description.

Viztor added a comment.Aug 4 2019, 2:41 PM

Modifying the configuration file requires community consensus. If it is other types of problems (code issue/backend issue), we don't need it.

  1. Is there consensus to localized display string and English url: Yes, been conventional x-wikis for years.
  2. Is there consensus to use "作者“ as the translation for "Author": Yes, as shown in the alias and pretty indisputable.

Code change should reflect consensus not be approved by consensus, there is a different review process for that. The specific implementation detail is irrelevant to the non-technical community. In this case, the consensus is already established. There may be multiple issues evolved around the same problem due to technical problems/negligence etc, not all of them require consensus, the properly localized display string is missing in this case. We're not establishing precedent here, it's a code change that was needed to reflect already established consensus.

Viztor changed the task status from Stalled to Open.Aug 4 2019, 2:44 PM
Urbanecm changed the task status from Open to Stalled.Aug 4 2019, 4:00 PM
Urbanecm removed Tulsi_Bhagat as the assignee of this task.
Urbanecm added a subscriber: Urbanecm.

Modifying the configuration file requires community consensus. If it is other types of problems (code issue/backend issue), we don't need it.

  1. Is there consensus to localized display string and English url: Yes, been conventional x-wikis for years.

We need something to verify the consensus, a discussion, unopposed anouncement or a vote. Also, wgExtraNamespaces defines real name (which would be in the URL). I'm not aware of any configuration-based way to display something different in URL, and on screen.

  1. Is there consensus to use "作者“ as the translation for "Author": Yes, as shown in the alias and pretty indisputable.

Code change should reflect consensus not be approved by consensus, there is a different review process for that. The specific implementation detail is irrelevant to the non-technical community. In this case, the consensus is already established. There may be multiple issues evolved around the same problem due to technical problems/negligence etc, not all of them require consensus, the properly localized display string is missing in this case. We're not establishing precedent here, it's a code change that was needed to reflect already established consensus.

Any community-initiated configuration change should be approved by the community. Configuration changes are performed by system administrators, who doesn't need to be a part of any project, usually aren't and they most probably aren't part of your project. They aren't aware of what's wanted by numerous communities we have, and can't be required to. Because of that, they need a simple way to verify a community really wishes something => demonstrated consensus. As such, I'm re-stalling this task. Thank you for your understanding.

Viztor added a comment.EditedAug 4 2019, 4:31 PM

Modifying the configuration file requires community consensus. If it is other types of problems (code issue/backend issue), we don't need it.

  1. Is there consensus to localized display string and English url: Yes, been conventional x-wikis for years.

We need something to verify the consensus, a discussion, unopposed anouncement or a vote. Also, wgExtraNamespaces defines real name (which would be in the URL). I'm not aware of any configuration-based way to display something different in URL, and on screen.

  1. Is there consensus to use "作者“ as the translation for "Author": Yes, as shown in the alias and pretty indisputable.

Code change should reflect consensus not be approved by consensus, there is a different review process for that. The specific implementation detail is irrelevant to the non-technical community. In this case, the consensus is already established. There may be multiple issues evolved around the same problem due to technical problems/negligence etc, not all of them require consensus, the properly localized display string is missing in this case. We're not establishing precedent here, it's a code change that was needed to reflect already established consensus.

Any community-initiated configuration change should be approved by the community. Configuration changes are performed by system administrators, who doesn't need to be a part of any project, usually aren't and they most probably aren't part of your project. They aren't aware of what's wanted by numerous communities we have, and can't be required to. Because of that, they need a simple way to verify a community really wishes something => demonstrated consensus. As such, I'm re-stalling this task. Thank you for your understanding.

The practice has been for years, unless that consensus change, there is no reason to have inconsistency among zh projects and within zhwikisource itself specifically.

The practice has been for years, unless that consensus change, there is no reason to have inconsistency among zh projects and within zhwikisource itself specifically.

Modifying the configuration file can not meet your requirements, as above. I suggest you modify the interface message ([[MediaWiki:Conversion-ns<namespace ID>]]) on wiki to achieve the requirement.

Viztor closed this task as Invalid.Aug 5 2019, 1:03 AM

Not in wmf-config, on-site change.

Change 527862 abandoned by Tulsi Bhagat:
Add Namespaces translation for zh.wikisource

Reason:
As per Urbanecm and task already closed.

https://gerrit.wikimedia.org/r/527862

Shizhao changed the task status from Invalid to Resolved.Aug 6 2019, 2:09 AM
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.
Viztor added a comment.Aug 6 2019, 3:20 AM

Short note for future reference: The translation of tabs for other namespaces are achieved by MediaWiki:ns-tab-namespace_name, I'm not sure if this method is applicable to customized name space though. While MediaWiki:Conversion-ns114 seems to be part of the LanguageConverter extension.

Viztor added a comment.EditedAug 6 2019, 3:32 AM

Further notice, nstab-namespace_name works just fine. However, it only changes the tab, but have no effect or whatsoever on the prefix showed on page.


(nstab-author: 作者)

this is probably why we're having inconsistent behavior among our namespaces. people might be trying to solve same problem in different ways.

Viztor added a comment.Aug 6 2019, 3:40 AM


Note: MediaWiki:Conversion-ns* will only effect the prefix in the page title but not the tab if relevant ns-tab has a set value.

While MediaWiki:Conversion-ns114 seems to be part of the LanguageConverter extension.

[[MediaWiki:Conversion-ns<id>]] is build-in function. Also there is no extension called LanguageConverter.

Viztor added a comment.Aug 6 2019, 6:54 AM

While MediaWiki:Conversion-ns114 seems to be part of the LanguageConverter extension.

[[MediaWiki:Conversion-ns<id>]] is build-in function. Also there is no extension called LanguageConverter.

MediaWiki:conversion-ns-* is introduced in LanguageConverter.php (which part of the writing system) and ns-tab is introduced along with the i18n of mediawiki software interface. Let me know if anything else is unclear.